Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	The client for the Trivial File Transfer Protocol (TFTP)
Name:		tftp
Version:	0.49
Release:	1
License:	BSD
Group:		Internet
Source0:	http://www.kernel.org/pub/software/network/tftp/tftp-hpa-%{version}.tar.bz2
URL:		http://www.kernel.org/pub/software/network/tftp/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Buildarch:	i686

Patch0:		tftp-0.40-remap.patch
Patch2:		tftp-hpa-0.39-tzfix.patch
Patch3:		tftp-0.42-tftpboot.patch
Patch4:		tftp-0.49-chk_retcodes.patch
Patch5:		tftp-hpa-0.49-fortify-strcpy-crash.patch

BuildRequires:	tcp_wrappers-devel
BuildRequires:	readline-devel

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine.  This program and TFTP provide very little security,
and should not be enabled unless it is expressly needed.

%package	server
Group:		System Environment/Daemons
Summary:	The server for the Trivial File Transfer Protocol (TFTP)
Requires:	xinetd
Requires(post):		/sbin/service
Requires(postun):	/sbin/service

%description	server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed.  The TFTP server is run from
/etc/xinetd.d/tftp, and is disabled by default.

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
if [ $1 = 0 ]; then
    /sbin/service xinetd reload > /dev/null 2>&1 || :
fi

%prep
%setup -q -n tftp-hpa-%{version} 
%patch0 -p1 -b .zero
%patch2 -p1 -b .tzfix
%patch3 -p1 -b .tftpboot
%patch4 -p1 -b .chk_retcodes
%patch5 -p1 -b .fortify-strcpy-crash

%build
%configure
make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_mandir/man{1,8}
mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_localstatedir/lib/tftpboot

make INSTALLROOT=$RPM_BUILD_ROOT SBINDIR=%_sbindir MANDIR=%_mandir INSTALL='install -p' install
install -m755 -d -p $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/ $RPM_BUILD_ROOT%_localstatedir/lib/tftpboot
sed -e 's:/var:%_localstatedir:' -e 's:/usr/sbin:%_sbindir:' tftp-xinetd > $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/tftp
touch -r tftp-xinetd $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/tftp

%files
%defattr(-,root,root,-)
%doc README* CHANGES
%_bindir/tftp
%_mandir/man1/*

%files server
%defattr(-,root,root,-)
%doc README* CHANGES
%config(noreplace) %_sysconfdir/xinetd.d/tftp
%dir %_localstatedir/lib/tftpboot
%_sbindir/in.tftpd
%_mandir/man8/*

%clean
rm -Rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 31 2009 Christian Wasem <wasem@ccux-linux.de> 0.49-1
- Initial CCux release
